/**Begin D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_MATCH_ORI_INV_SET') 
 CREATE TABLE T_BDM_MATCH_ORI_INV_SET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FTIMERANGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCANREDTAXCONTROL CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME BIGINT DEFAULT 0 NOT NULL,
FENDTIME BIGINT DEFAULT 0 NOT NULL,
FREDRULE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHMULTI CHAR(1) DEFAULT ' ' NOT NULL,
FIGNOREPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FDISCOUNTMATCHPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FDEVIATIONTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVIATION DECIMAL(23,13) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_MATCH_ORI_INV_SET_L') 
 CREATE TABLE T_BDM_MATCH_ORI_INV_SET_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
